export default {
	data() {
		return {
			textCost: false
		}
	},
	computed: {
		iphonePlatform() {
			const systemInfo = this.$store.getters.systemInfo
			if (systemInfo && Object.keys(systemInfo).length > 0) {
				return systemInfo.model.indexOf('iPhone') !== -1
			}

			return false
		},
		goodsPrice() {
			return (price) => {
				if (price > 0) {
					if (this.iphonePlatform) {
						this.textCost = true
						return '需要申请'
					}
					return '¥' + price
				}
				this.textCost = true

				return '免费'
			}
		}
	}
}
